> For the complete documentation index, see [llms.txt](https://docs.mozilla.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mozilla.ai/mcpd/cli-reference/mcpd_config_args.md).

# config args

Manages MCP server command line args configuration

## Synopsis

Manages MCP server command line args configuration, dealing with setting, removing, clearing and listing configuration

## Options inherited from parent commands

```
      --config-file string    path to config file (default ".mcpd.toml")
      --log-level string      log level for mcpd logs (default "info")
      --log-path string       log file path to use for log output
      --runtime-file string   path to runtime (execution context) file that contains env vars, and arguments for your MCP servers (default "/home/runner/.config/mcpd/secrets.dev.toml")
```

## SEE ALSO

* [mcpd config](/mcpd/cli-reference/mcpd_config.md) - Manages configuration for MCP servers
* [mcpd config args clear](/mcpd/cli-reference/mcpd_config_args_clear.md) - Clears configured command line arguments for an MCP server
* [mcpd config args list](/mcpd/cli-reference/mcpd_config_args_list.md) - Lists the configured command line arguments for a specific MCP server
* [mcpd config args remove](/mcpd/cli-reference/mcpd_config_args_remove.md) - Remove arguments from an MCP server's configuration
* [mcpd config args set](/mcpd/cli-reference/mcpd_config_args_set.md) - Set or replace startup command line arguments for an MCP server

**Auto generated by spf13/cobra on 14-Aug-2026**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mozilla.ai/mcpd/cli-reference/mcpd_config_args.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
